package com.ruoyi.bst.order.mapper;

import com.ruoyi.bst.order.domain.Order;
import com.ruoyi.bst.order.domain.OrderQuery;
import com.ruoyi.bst.order.domain.OrderVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 生产订单Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-16
 */
public interface OrderMapper
{
    /**
     * 查询生产订单
     *
     * @param id 生产订单主键
     * @return 生产订单
     */
    public OrderVO selectOrderById(Long id);

    /**
     * 查询生产订单列表
     *
     * @param query 生产订单
     * @return 生产订单集合
     */
    public List<OrderVO> selectOrderList(@Param("query")OrderQuery query);

    /**
     * 新增生产订单
     *
     * @param order 生产订单
     * @return 结果
     */
    public int insertOrder(Order order);

    /**
     * 修改生产订单
     *
     * @param order 生产订单
     * @return 结果
     */
    public int updateOrder(@Param("data") Order order);

    /**
     * 删除生产订单
     *
     * @param id 生产订单主键
     * @return 结果
     */
    public int deleteOrderById(Long id);

    /**
     * 批量删除生产订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderByIds(Long[] ids);

    /**
     * 条件更新
     */
    int updateByQuery(@Param("data") Order data, @Param("query") OrderQuery query);
}
