package com.ruoyi.bst.orderProd.domain;

import com.ruoyi.bst.prodProcess.domain.ProdProcessVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.List;

/**
 * @author wjh
 * 2024/12/17
 */
@Data
public class OrderProdVO extends OrderProd {

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("工序列表")
    private List<ProdProcessVO> processList;

    @ApiModelProperty("最终工序ID")
    private Long finalProcessId;

    @ApiModelProperty("最终工序总上报数")
    private BigDecimal reportNum;

    @ApiModelProperty("最终工序有效清点数")
    private BigDecimal storeNum;

    @ApiModelProperty("进度")
    public BigDecimal getProgress() {
        if (this.storeNum == null || this.getNum() == null) {
            return BigDecimal.ZERO;
        }
        return this.storeNum
                .multiply(new BigDecimal(100))
                .divide(this.getNum(), 2, RoundingMode.HALF_UP);
    }
}
