package com.ruoyi.bst.prodProcess.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @author wjh
 * 2024/12/17
 */
@Data
public class ProdProcessVO extends ProdProcess{

    @ApiModelProperty("订单ID")
    private Long orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("生产车间名称")
    private String deptName;

    @ApiModelProperty("订单产品名称")
    private String orderProdName;

    @ApiModelProperty("总上报数")
    private BigDecimal reportNum;

    @ApiModelProperty("有效清点数")
    private BigDecimal storeNum;

    @ApiModelProperty("进度")
    public BigDecimal getProgress() {
        if (this.storeNum == null || this.getNum() == null) {
            return BigDecimal.ZERO;
        }
        return this.storeNum
                .multiply(new BigDecimal(100))
                .divide(this.getNum(), 2, RoundingMode.HALF_UP);
    }

}
